# Created 23 AUG 2024
product.shortname=viskit
viskit.dir=${product.shortname}
viskit.lib.dir=${viskit.dir}/lib

opendis.jar=lib/opendis7-full.jar
extra.classpath=${opendis.jar}

main.class=viskit.EventGraphAssemblyComboMain

#assy.file=${basedir}/examples/src/ViskitOpenDis7Examples/Assemblies/dis7/ArrivalProcessOpenDis7Assembly.xml
#assy.file=${basedir}/examples/src/ViskitOpenDis7Examples/Assemblies/dis7/SimpleServerDis7Assembly.xml

# Viskit run arguments
common.run.args=-Xmx256m \
    -Dswing.aatext=true

win.run.args=${common.run.args}

unix.run.args=${common.run.args} \
    -Dawt.useSystemAAFontSettings=gasp

mac.run.args=${common.run.args} \
    -Dapple.awt.graphics.UseQuartz=true \
    -Dapple.laf.useScreenMenuBar=true \
    -Dapple.awt.brushMetalLook=true \
    -Xdock:name=${product.shortname} \
    --add-exports java.desktop/com.apple.eawt=ALL-UNNAMED

# property used to identify Viskit config files
dot.viskit.dir=${user.home}/.${product.shortname}
c_app.xml=${viskit.dir}/configuration/c_app.xml
c_gui.xml=${viskit.dir}/configuration/c_gui.xml
proj.xml=${viskit.dir}/configuration/viskitProject.xml

splash.image=${viskit.dir}/configuration/ViskitSplash2.png
